Bug 1009990 - [AIO] Host does not resolve on NON loopback if ipv6 address is resolved at DNS
Summary: [AIO] Host does not resolve on NON loopback if ipv6 address is resolved at DNS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.3.0
Assignee: Yedidyah Bar David
QA Contact: sefi litmanovich
URL:
Whiteboard: integration
Depends On:
Blocks: 1007418 3.3snap4
TreeView+ depends on / blocked
 
Reported: 2013-09-19 16:14 UTC by Pavel Stehlik
Modified: 2015-09-22 13:09 UTC (History)
9 users (show)

Fixed In Version: is26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
log (17.23 KB, application/x-gzip)
2013-09-19 16:14 UTC, Pavel Stehlik
no flags Details
setup log 3.3.1 on CentOS 6.4 (174.63 KB, text/plain)
2013-11-25 18:53 UTC, Stratos Zolotas
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 19458 0 None None None Never
oVirt gerrit 19671 0 None None None Never
oVirt gerrit 21709 0 None None None Never
oVirt gerrit 21764 0 None None None Never

Description Pavel Stehlik 2013-09-19 16:14:57 UTC
Created attachment 800035 [details]
log

Description of problem:
There is similar bz#928667 [AIO] Make sure host does not resolve to loopback

This case is preventing AIO installation on NON loopback:
Host fully qualified DNS name of this server [srv-02.rhev.lab.eng.brq.redhat.com]: 
[ ERROR ] Host name is not valid: The following addreses: 10.34.63.205 can't be mapped to non loopback devices on this host

It's IP of eth0 not loopback.


Version-Release number of selected component (if applicable):
is15

How reproducible:
100%

Steps to Reproduce:
1. yum install rhevm rhevm-setup-plugin-allinone
2. rhevm-setup (install AIO)
3.

Actual results:
Tried few workarounds, but didn't succeed.

Expected results:


Additional info:

Comment 1 Yedidyah Bar David 2013-09-23 10:39:17 UTC
It's a bug in the fix for BZ #1004582 .

Comment 2 sefi litmanovich 2013-10-09 12:18:34 UTC
Verified on RHEL 6.5, RHEVM 3.3 is17.
rhevm-setup-plugin-allinone-3.3.0-0.21.master.el6ev.noarch
rhevm-3.3.0-0.24.master.el6ev.noarch

Comment 3 Stratos Zolotas 2013-10-21 13:44:53 UTC
Is there a fix for this one, or we have to wait for the next release? I'm experiencing this on a fresh CentoOS 6.4 install.

Thanks.

Comment 4 Yedidyah Bar David 2013-10-21 16:33:37 UTC
(In reply to Stratos Zolotas from comment #3)
> Is there a fix for this one, or we have to wait for the next release? I'm
> experiencing this on a fresh CentoOS 6.4 install.

There is a fix here:
http://gerrit.ovirt.org/19458

It will be included in 3.3.1.

> 
> Thanks.

Best,
-- 
Didi

Comment 5 Stratos Zolotas 2013-10-21 16:38:01 UTC
Thanks for the answer.

Is there any estimate for the 3.3.1 release? (Or a roadmap somewhere).

Comment 7 Itamar Heim 2013-10-22 06:23:28 UTC
ovirt 3.3.1 beta is out for testing. a refresh of the beta is expected any day. release is expected by end of the month (depending on more blockers found)
http://www.ovirt.org/OVirt_3.3.1_release_notes

Comment 8 Stratos Zolotas 2013-11-25 18:27:11 UTC
I'm still experiencing this on CentOS 6.4 with ovirt 3.3.1 (just upgraded).

[ ERROR ] Host name is not valid: The following addreses: 2a01:4f8:161:1482::2 5.9.32.143 can't be mapped to non loopback devices on this host

The host has IPv6 also.

I can provide more info, if that helps.

Installed Packages
Name        : ovirt-engine-setup
Arch        : noarch
Version     : 3.3.1
Release     : 2.el6
Size        : 992 k
Repo        : installed
From repo   : ovirt-stable
Summary     : Setup and upgrade scripts for oVirt Engine
URL         : http://www.ovirt.org
License     : ASL 2.0
Description : Setup and upgrade scripts for oVirt Engine

Comment 9 Alon Bar-Lev 2013-11-25 18:30:48 UTC
(In reply to Stratos Zolotas from comment #8)
> I'm still experiencing this on CentOS 6.4 with ovirt 3.3.1 (just upgraded).

Can you please attach the setup log?

Comment 10 Stratos Zolotas 2013-11-25 18:33:15 UTC
I'm doing a clean install and will update with the log or successful news.

Thanks.

Comment 11 Stratos Zolotas 2013-11-25 18:53:46 UTC
Created attachment 828815 [details]
setup log 3.3.1 on CentOS 6.4

I have attached my setup log.

Thanks in advance.

Comment 12 Alon Bar-Lev 2013-11-25 19:06:06 UTC
The following code does not filter out ipv6 addresses, causing the detection algorithm to break.

packaging/setup/plugins/ovirt-engine-setup/config/hostname.py
---
            resolvedAddresses = set([
                address[0] for __, __, __, __, address in
                socket.getaddrinfo(
                    fqdn,
                    None
                )
            ])
---

Comment 13 sefi litmanovich 2013-12-16 13:07:28 UTC
Verified on RHEVM 3.3 IS27, rhevm-setup-plugin-allinone-3.3.0-0.40.rc.el6ev.noarch

Comment 14 Itamar Heim 2014-01-21 22:21:54 UTC
Closing - RHEV 3.3 Released

Comment 15 Itamar Heim 2014-01-21 22:27:09 UTC
Closing - RHEV 3.3 Released


Note You need to log in before you can comment on or make changes to this bug.